signon 8.54

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

SignonDaemonNS::SecretsCache Member List

This is the complete list of members for SignonDaemonNS::SecretsCache, including all inherited members.

::TestDatabase class | SignonDaemonNS::SecretsCache | friend
clear() | SignonDaemonNS::SecretsCache |
lookupCredentials(quint32 id, QString &username, QString &password) const | SignonDaemonNS::SecretsCache |
lookupData(quint32 id, quint32 method) const | SignonDaemonNS::SecretsCache |
SecretsCache() | SignonDaemonNS::SecretsCache | inline
storeToDB(SignOn::AbstractSecretsStorage *secretsStorage) const | SignonDaemonNS::SecretsCache |
updateCredentials(quint32 id, const QString &username, const QString &password, bool storePassword) | SignonDaemonNS::SecretsCache |
updateData(quint32 id, quint32 method, const QVariantMap &data) | SignonDaemonNS::SecretsCache |
~SecretsCache() | SignonDaemonNS::SecretsCache | inline